All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.swing.visuals.remotefileselector.actions
Class AddFolderAction

    com.sas.swing.visuals.remotefileselector.actions.AddFolderAction

All Implemented Interfaces:
  ActionStatusKeysInterface, SupplementalPropertyKeysInterface, BaseEntityInterface, BaseEntityValueInterface, EntityKeyInterface, java.awt.event.ActionListener, java.lang.Cloneable, java.rmi.Remote, java.util.EventListener, javax.swing.Action, javax.swing.event.CellEditorListener

    public class AddFolderAction

implements javax.swing.event.CellEditorListener

AddFolderAction adds a default folder and allows editting of the cell to change the folder name.

Since:
  3.1

Field Summary
`static java.lang.String` | `RB_KEY`

Fields inherited from interface com.sas.swing.util.Action
`ALIGNMENT_CENTER, ALIGNMENT_LEADING, ALIGNMENT_LEFT, ALIGNMENT_RIGHT, ALIGNMENT_TRAILING, ALTERNATE_TEXT, COMMAND_CLASS, DISABLED_IMAGE_KEY, GROUP_NAME, IMAGE_KEY, LABEL, LARGE_DISABLED_ICON, LARGE_DISABLED_ICON_NAME, LARGE_ICON, LARGE_ICON_NAME, LONG_DISABLED_DESCRIPTION, LONG_NAME, MNEMONIC_INDEX, ROLLOVER_ICON_NAME, ROLLOVER_IMAGE_KEY, SHORT_DISABLED_DESCRIPTION, SMALL_DISABLED_ICON, SMALL_DISABLED_ICON_NAME, SMALL_ICON_NAME, STYLE_MAP, TARGET, TEXT_ALIGNMENT, TYPE, TYPE_BOOLEAN, TYPE_NORMAL, URL`

Fields inherited from interface com.sas.actionprovider.ActionStatusKeysInterface
`AREA_DISABLED, DISABLED, ENABLED, IS_CURRENT_STATE_DISABLED, MODEL_MEMBER_DISABLED, MODEL_STATE_DISABLED, MODEL_TYPE_DISABLED, UNSUPPORTED, VIEWER_DISABLED`

Fields inherited from interface com.sas.actionprovider.SupplementalPropertyKeysInterface
`COMMAND, CUSTOM, DYNAMIC, ENCODE, EXTERNAL`

Constructor Summary
`AddFolderAction()` Default Constructor

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent event)` Executes the command with any dynamic properties that are also encapsulated by this Action.
`void` | `editingCanceled(javax.swing.event.ChangeEvent ce)` Runs when the editor notifies the listener that it has cancelled editting.
`void` | `editingStopped(javax.swing.event.ChangeEvent ce)` Runs when the editor notifies the listener that it has stopped editting.
`protected void` | `executeCommand(DynamicAttributeCommandInterface command)` Executes the command and handles any thrown exceptions.

Methods inherited from class com.sas.actionprovider.BaseAction
`addPropertyChangeListener, applyCommandAttributes, clone, fireEvent, getActionStrategy, getActionType, getAttributeDescriptor, getAttributeDescriptors, getCommand, getReturnStatus, getValue, isCustom, performAction, putValue, removePropertyChangeListener, setActionStrategy, setActionType, setAttribute, setCommand, setCustom, setReturnStatus`

Methods inherited from class com.sas.entities.BaseEntity
`containsAttributeNamed, equals, equals, getAttribute, getAttribute, getAttributeCount, getAttributes, getEntityKey, getPropertyDescriptors, getStringAttribute, listAttributeNames, removeAllAttributes, sameEntity, setAttribute, setAttributes, setEntityKey, toString`

Field Detail

### RB_KEY

    public static final java.lang.String RB_KEY

See Also:
  Constant Field Values

Constructor Detail

### AddFolderAction

    public AddFolderAction()

  Default Constructor

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent event)

  Executes the command with any dynamic properties that are also encapsulated by this Action.

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`
  Overrides:
    `actionPerformed` in class `BaseAction`
  Parameters:
    `event` - the event that initiated this action

### editingStopped

    public void editingStopped(javax.swing.event.ChangeEvent ce)

  Runs when the editor notifies the listener that it has stopped editting.

  Specified by:
    `editingStopped` in interface `javax.swing.event.CellEditorListener`
  Parameters:
    `ce` - the event that stops the edit

### editingCanceled

    public void editingCanceled(javax.swing.event.ChangeEvent ce)

  Runs when the editor notifies the listener that it has cancelled editting.

  Specified by:
    `editingCanceled` in interface `javax.swing.event.CellEditorListener`
  Parameters:
    `ce` - the event that cancels the edit

### executeCommand

    protected void executeCommand(DynamicAttributeCommandInterface command)

  Executes the command and handles any thrown exceptions.

  Overrides:
    `executeCommand` in class `BaseAction`
  Parameters:
    `command` - the command to be executed

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.